1
vote
1answer
273 views

puppet rspec no such file to load — rspec-puppet (LoadError)

I have no prior experience at all of ruby. I am not interested in ruby (and so have no knowledge of rails etc) as such but am using puppet to manage a group of servers. I have written some modules ...
3
votes
2answers
16k views

How to get /usr/bin/env ruby to point to the correct ruby environment?

So I was making a cgi ruby script and had the following at the top of the script file: #!/usr/bin/env ruby require 'rubygems' require 'action_pack' require 'cgi' After a couple of hours of not ...
0
votes
1answer
57 views

Are there alternative repositories for ruby1.8 package in 10.04?

I want to upgrade existing Ruby 1.8.7 package to patchlevel 300+ revision. Official repository version is this one: ruby 1.8.7 (2010-01-10 patchlevel 249) Are there any repositories that ...
0
votes
1answer
597 views

Installaing ruby fails on ubuntu 10.04 server edition

I tried to install ruby on my ubuntu 10.04 server edition sudo apt-get install ruby I get the following error Reading package lists... Done Building dependency tree Reading state ...
3
votes
2answers
4k views

How can I reinstall redmine?

I have a redmine setup. today morning I saw that my redmine folder was empty and I was unable to access redmine, so I tried installing redmine again using: sudo apt-get install redmine I am getting ...
1
vote
1answer
298 views

Ruby Gems error with AtomicTV

I've been trying to run AtomicTV on my 10.04 install, but I've had some Ruby issues that I'm having trouble parsing and haven't been able to find help with via Google. I installed the Ruby gems ...
0
votes
1answer
219 views

Installing Snippits fails

I am trying to install snippits, but it fails with the error message ERROR: Error installing snippits: hoe requires RubyGems version >= 1.4 How do I get around this?
2
votes
2answers
1k views

How to resolve Ruby on Rails ImageMagick conflict?

I am trying to install refinerycms, a Ruby on Rails CMS on Ubuntu 10.04 LTS. I run rails server and I get the following exception: carcher@carcher-laptop:~/Code/tgc$ rails server => Booting ...
16
votes
3answers
25k views

Completely Remove Ruby + Rails + Gems?

I have messed up my ruby dev environment on Ubuntu 10.04. I need to install Ruby this time using RVM. What is the best possible way to remove: Ruby All Gems RubyGems From my machine, so that I ...